Rapid7 Vulnerability & Exploit Database

USN-2357-1: Linux kernel (OMAP4) vulnerabilities

Back to Search

USN-2357-1: Linux kernel (OMAP4) vulnerabilities

Severity
4
CVSS
(AV:A/AC:H/Au:S/C:N/I:N/A:C)
Published
08/31/2014
Created
07/25/2018
Added
09/24/2014
Modified
07/09/2020

Description

The kvm_iommu_map_pages function in virt/kvm/iommu.c in the Linux kernel through 3.16.1 miscalculates the number of pages during the handling of a mapping failure, which allows guest OS users to (1) cause a denial of service (host OS memory corruption) or possibly have unspecified other impact by triggering a large gfn value or (2) cause a denial of service (host OS memory consumption) by triggering a small gfn value that leads to permanently pinned pages.

Solution(s)

  • ubuntu-upgrade-linux-image-3-2-0-1453-omap4

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;